//
// receiver.h
//

#ifndef RECEIVER_H_
#define RECEIVER_H_


namespace Receiver
{
	/**
	 * Setup the Arduino as required.
	 */
	void setup();
	
	/**
	 * Attempt to read channels.  The call is non-blocking and reutrns true if a
	 * full frame of NUM_CHANNELS has been read.
	 * @param channel_values an array to store channel values in
	 * @returns true if a frame has been read
	 */
	bool read_channels( unsigned long channel_values[] );

}


#endif //RECEIVER_H_
